function setNodeLocationOnlyOffset(e, n) {
	isNaN(e.startOffset) === !0 ? (e.startOffset = n.startOffset, e.endOffset = n.endOffset) : e.endOffset < n.endOffset && (e.endOffset = n.endOffset);
}
function setNodeLocationFull(e, n) {
	isNaN(e.startOffset) === !0 ? (e.startOffset = n.startOffset, e.startColumn = n.startColumn, e.startLine = n.startLine, e.endOffset = n.endOffset, e.endColumn = n.endColumn, e.endLine = n.endLine) : e.endOffset < n.endOffset && (e.endOffset = n.endOffset, e.endColumn = n.endColumn, e.endLine = n.endLine);
}
function addTerminalToCst(e, n, r) {
	e.children[r] === void 0 ? e.children[r] = [n] : e.children[r].push(n);
}
function addNoneTerminalToCst(e, n, r) {
	e.children[n] === void 0 ? e.children[n] = [r] : e.children[n].push(r);
}
export { addNoneTerminalToCst, addTerminalToCst, setNodeLocationFull, setNodeLocationOnlyOffset };
